Name: stardict
Version: 2.4.3
Release: alt3

Summary: StarDict dictionary
Summary(ru_RU.CP1251): StarDict 
License: GPL
Group: System/Internationalization
Url: http://%name.sourceforge.net

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
Patch0: stardict-2.4.3-alt-gtk.patch

BuildPreReq: menu-devel

# Automatically added by buildreq on Thu Jul 29 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs esound fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel hostinfo indent libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel pkgconfig scrollkeeper zlib-devel

%description
StarDict is an international dictionary written for the GNOME environment. 
It has evolved from Motif/Lesstif based Chinese dictionary, into a full
featured international dictionary written in GTK+. Here are some of its
features:

- Instantly popup word definition when word is selected on screen
- Wildcard search ( e.g. "wo?d*" )
- Fuzzy query
- Dock into notification area
- Find text in word definition
- Many dictionaries available, including freedict, *quick, xdict,
  dict.org dictionaries

%description -l ru_RU.CP1251
StarDict      GNOME .
     Motif/Lesstif  ,  
    GTK+.   :

-        -.
-    (  "wo?d*" )
-  
- Dock   
-     
-    ,  freedict, *quick, xdict,
  dict.org 

%package tools
Summary: tools for making dictionary files for stardict
Summary(ru_RU.CP1251):     stardict 
Group: Development/Other

%description tools
This package contains various tools for converting dictionaries in
stardict format:
* oxford2dic is program for converting from oxford format
* dictd2dic is program for converting from dictd format
* directory2dic is program for converting directory with wav
* wquick2dic is program for converting from wquick format
* stardict_dict_update is program to convert dictionaries from old 2.2.1 format to new 2.4.2

%description -l ru_RU.CP1251 tools
        stardict :
* oxford2dic    oxford
* dictd2dic    dictd
* directory2dic    wav
* wquick2dic    wquick
* stardict_dict_update     2.2.1   2.4.2

%prep
%setup -q
%patch0 -p1

%__rm -f src/GNOME_Stardict{-{common,skels,stubs}.c,.h}

%build
%configure --disable-schemas-install
%make_build

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %make_install DESTDIR=%buildroot \
	    scrollkeeper_localstate_dir=%buildroot%_var/lib/scrollkeeper \
	    install

%__install -p src/tools/*2dic %buildroot%_bindir/
%__install -p src/tools/stardict_dict_update %buildroot%_bindir/
%__install -p src/tools/mova %buildroot%_bindir/mova2dic

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Office" \
    %buildroot%_datadir/applications/stardict.desktop \
    %buildroot%_menudir/%name

%find_lang --with-gnome %name

%post
%update_menus
%update_scrollkeeper
%gconf2_install %name

%postun
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%_bindir/%name
%_datadir/applications/*
%_datadir/%name
%_datadir/idl/*
%_libdir/bonobo/servers/*
%_datadir/pixmaps/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*.schemas
%_man1dir/*
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%doc src/tools/{example.ifo,DICTFILE_FORMAT}

%files tools
%_bindir/*
%exclude %_bindir/%name

%changelog
* Thu Jul 29 2004 Alex Murygin <murygin@altlinux.ru> 2.4.3-alt3
- fixed menu
- changed summary (thanks Abel Cheung - Mandrake)
- added russian summary/description

* Thu Apr 29 2004 Alex Murygin <murygin@altlinux.ru> 2.4.3-alt2
- removed -DGTK_DISABLE_DEPRECATED

* Tue Mar 16 2004 Alex Murygin <murygin@altlinux.ru> 2.4.3-alt1
- new version
- added mova2dic to tools

* Thu Nov 20 2003 Alex Murygin <murygin@altlinux.ru> 2.4.2-alt1
- new version
- added stardict_dict_update to %{name}-tools
- deleted example.idxhead and added example.ifo

* Fri Aug 29 2003 Alex Murygin <murygin@altlinux.ru> 2.4.0-alt1
- new version
- regenerated buildreq

* Sun Jul 06 2003 Alex Murygin <murygin@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Mon Jun 09 2003 Alex Murygin <murygin@altlinux.ru> 2.2.0-alt2
- new version without version incrementation

* Sun Jun 01 2003 Alex Murygin <murygin@altlinux.ru> 2.2.0-alt1
- new version

* Wed May 28 2003 Alex Murygin <murygin@altlinux.ru> 2.1.0-alt2
- fixed clean_scrollkeeper postun script

* Wed May 21 2003 Alex Murygin <murygin@altlinux.ru> 2.1.0-alt1
- new version
- added package startdict-tools

* Sun May 04 2003 Alex Murygin <murygin@altlinux.ru> 2.0.0-alt1
- Initial revision.
